//+------------------------------------------------------------------+
//|                                                    middlebar.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+

#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

// Thanks Avery Da RumpledOne for sharing his brilliant ideas



#property indicator_chart_window
//---- input parameters

extern color     CLR = Yellow;


double MP;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators


  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("Previous bar midpoint");
   
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----




 
 
    MP = NormalizeDouble(iLow(NULL,0,1)+  (iHigh(NULL,0,1)-iLow(NULL,0,1))/2,Digits);  

    if (ObjectFind("Previous bar midpoint") != 0)
    
      {
      
          ObjectCreate("Previous bar midpoint",OBJ_ARROW,0,Time[0],MP);
          ObjectSet("Previous bar midpoint",OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
          ObjectSet("Previous bar midpoint",OBJPROP_COLOR,CLR);
         
      }
      
      else
      {
         ObjectMove("Previous bar midpoint",0,Time[0],MP);
      }

   
//----
   return(0);
  }
//+------------------------------------------------------------------+